## org.eclipse.datatools.sqltools.sqlbuilder.preferences
Class SQLBuilderPreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.datatools.sqltools.sqlbuilder.preferences.SQLBuilderPreferenceInitializer

    public class SQLBuilderPreferenceInitializer

extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

Initialize SQL Builder preferences.

Author:
  Jeremy Lindop

Constructor Summary
`SQLBuilderPreferenceInitializer()`

Method Summary
`void` `initializeDefaultPreferences()` Initializes the preferences to the default values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLBuilderPreferenceInitializer

    public SQLBuilderPreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Initializes the preferences to the default values. These values are used the first time the preference page is displayed or when the user presses the Defaults button in the preferences page.

  Specified by:
    `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`